from django.conf.urls.defaults import *
import settings
from os.path import join
# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()


urlpatterns = patterns('',
    # Example:
    # (r'^mofca/', include('mofca.foo.urls')),
    (r'^$', 'organic.views.index'),
    (r'^test/$', 'recipes.views.test'),
    (r'^hbt/$', 'organic.views.hbt'),
    (r'^pickup-delivery/$', 'organic.views.pickup'),
    (r'^seasons-veggies/$', 'organic.views.seasons_veggies'),
    (r'^meet-farmers/$', 'organic.views.meet_farmers'),
    (r'^recipes/$', 'recipes.views.index'),
    (r'^about/$', 'organic.views.about'),
#    (r'^events/$', 'organic.views.events'),
#    (r'^resources/$', 'organic.views.resources'),
    # Uncomment the admin/doc line below to enable admin documentation:
    (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
)

if settings.LOCAL_DEVELOPMENT:
#
  urlpatterns += patterns('',
#
  (r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': join(settings.PROJECT_ROOT, "static")}),
#
)
